import { geoPath, geoGraticule, geoAlbers, arc, nest, pie } from 'd3';

const projection = geoAlbers();
const path = geoPath(projection);
const graticule = geoGraticule();

export const Marks = (
  { usMap: { state, interiors }, cities,
  colorScale,
  colorValue}) => (
  <>
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {state.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
  </g>
      <g>
      <path className="interiors" d={path(interiors)} />

      </g>
    </>
);
